
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if(NOT "ON")
	include(CMakeFindDependencyMacro)
	find_dependency(SDL2 CONFIG)
endif()

if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/FAudio-targets-shared.cmake")
	include("${CMAKE_CURRENT_LIST_DIR}/FAudio-targets-shared.cmake")
	set(shared_target TRUE)
endif()

if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/FAudio-targets-static.cmake")
	include("${CMAKE_CURRENT_LIST_DIR}/FAudio-targets-static.cmake")
endif()

if(shared_target)
	add_library(FAudio::FAudio ALIAS FAudio::FAudio-shared)
else()
	add_library(FAudio::FAudio ALIAS FAudio::FAudio-static)
endif()

check_required_components("FAudio")

